picard.util

## Class FileChannelJDKBugWorkAround

- java.lang.Object
- - picard.util.FileChannelJDKBugWorkAround

-     public class FileChannelJDKBugWorkAround
      extends Object

  Work-around for the following bug http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6503430 Call the method in the main thread before launching threads that do memory-mapping.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileChannelJDKBugWorkAround()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte` | `doBugWorkAround()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileChannelJDKBugWorkAround

          public FileChannelJDKBugWorkAround()

  - ### Method Detail

    - #### doBugWorkAround

          public static byte doBugWorkAround()